Subject: test for empty bug report fails due to message-mode

From: Glenn Morris <[email-masked]>
Date: Thu, 10 Dec 2009 20:25:41 -0500

Severity: minor

(With the current CVS trunk.)

M-x report-emacs-bug checks for an empty bug report before sending.
It does this by comparing the original bug buffer text with the buffer
contents at the time of sending.

The check fails with message-mode, because message-mode sorts the
message headers (!) before calling message-send-hook, thus changing
the buffer contents. There is no obvious way to disable this sorting,
nor does there seem to be any message hook that runs before the sort.